Bug 849079 - A typo of virt-install error message when both parameters '--nonetworks' and '--bridge' included
A typo of virt-install error message when both parameters '--nonetworks' and ...
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 05:06 EDT by Cui Lei
Modified: 2014-07-06 15:31 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-12 21:32:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cui Lei 2012-08-17 05:06:18 EDT
Description of problem:
Run a virt-install command with both parameters '--nonetworks' and '--bridge', such as:
# virt-install -n demo -r 1024 --disk path=/var/lib/libvirt/images/demo.img,size=6 --nonetworks --bridge=breth0sd -c /dev/cdrom
ERROR    Cannot use --bridges with --nonetworks

There is a typo of above error message, the '--bridges' should be changed to '--bridge'.
As '--bridges' was not valid parameters in virt-install. If you use '--bridges' in virt-install command, error message should pop up as:
"virt-install: error: no such option: --bridges"


Version-Release number of selected component (if applicable):
python-virtinst-0.600.0-8.el6.noarch

How reproducible:
100%

Steps to Reproduce:
Run a virt-install command with both parameters '--nonetworks' and '--bridge', such as:
# virt-install -n demo -r 1024 --disk path=/var/lib/libvirt/images/demo.img,size=6 --nonetworks --bridge=breth0sd -c /dev/cdrom
check the error message

Actual results:
ERROR    Cannot use --bridges with --nonetworks

Expect result:
ERROR    Cannot use --bridge with --nonetworks
Comment 2 Alex Jia 2012-08-17 06:55:27 EDT
Patch for upstream:
https://www.redhat.com/archives/virt-tools-list/2012-August/msg00044.html
Comment 3 Cole Robinson 2013-06-12 21:32:16 EDT
Fixed upstream a while ago.

Note You need to log in before you can comment on or make changes to this bug.